# Books API . mylibrary . readingpositions

## Instance Methods

Retrieves my reading position information for a volume.

Sets my reading position information for a volume.

### Method Details

`get(volumeId, source=None, contentVersion=None)`

    Retrieves my reading position information for a volume.

    Args:
      volumeId: string, ID of volume for which to retrieve a reading position. (required)
      source: string, String to identify the originator of this request.
      contentVersion: string, Volume content version for which this reading position is requested.

    Returns:
      An object of the form:

        {
        "kind": "books#readingPosition", # Resource type for a reading position.
        "gbImagePosition": "A String", # Position in a volume for image-based content.
        "epubCfiPosition": "A String", # Position in an EPUB as a CFI.
        "updated": "A String", # Timestamp when this reading position was last updated (formatted UTC timestamp with millisecond resolution).
        "volumeId": "A String", # Volume id associated with this reading position.
        "pdfPosition": "A String", # Position in a PDF file.
        "gbTextPosition": "A String", # Position in a volume for text-based content.
      }

`setPosition(volumeId, timestamp, position, deviceCookie=None, source=None, contentVersion=None, action=None)`

    Sets my reading position information for a volume.

    Args:
      volumeId: string, ID of volume for which to update the reading position. (required)
      timestamp: string, RFC 3339 UTC format timestamp associated with this reading position. (required)
      position: string, Position string for the new volume reading position. (required)
      deviceCookie: string, Random persistent device cookie optional on set position.
      source: string, String to identify the originator of this request.
      contentVersion: string, Volume content version for which this reading position applies.
      action: string, Action that caused this reading position to be set.
        Allowed values
          bookmark - User chose bookmark within volume.
          chapter - User selected chapter from list.
          next-page - Next page event.
          prev-page - Previous page event.
          scroll - User navigated to page.
          search - User chose search results within volume.